Subject: bug#44699: Add package filter by description

From: Juri Linkov <[email-masked]>
Date: Tue, 17 Nov 2020 10:30:35 +0200

>>>> BTW, what I still miss in package filtering is a key to match
>>>> package descriptions (in addition to package names).  For example,
>>>> Ubuntu package manager allows filtering by these fields:
>>>> "Name", "Description and Name".
>>>
>>> Good idea, that would be useful (and straightforward to add).  Could you
>>> please open a new bug report for that?
>>
>> Opened a new bug report here.
>
> Thanks.  How does the attached patch look?

I was not sure what is better: to create a command that matches only
descriptions *OR* a command that matches names and descriptions.
But you created two commands that is much better - problem solved! :-)

I tested your patch and both commands work fine, thanks.